#ifndef DLL_HPP
#define DLL_HPP

#include "types.h"

class DLLentry
{
private:
	char _DLLname[256];
	HMODULE _DLLhandle;
	FPCELLUPDATE _UserRulePtr;
	friend class DLLlist;
public:
	DLLentry();
	DLLentry(DLLentry &dlle);
	~DLLentry();
	void Set(char *DLLname, HMODULE DLLhandle, FPCELLUPDATE UserRulePtr);
	BOOL SameName(char *DLLname);
	DLLentry& operator=(DLLentry &dlle);
};

class DLLlist
{
private:
	int _count;
	DLLentry *_arr;
public:
	DLLlist();
	~DLLlist();
	FPCELLUPDATE GetUserRulePtr(HWND hwnd, char *name);
};
#endif //DLL_HPP
